## NAME

d.what.sites - interactively query a single site list descriptions
(GRASS Display Program)

## SYNOPSIS

d.what.sites
d.what.sites help
d.what.sites [-1tq] [sitefile=name] [dcolor=color] [recolor=color]

## DESCRIPTION

d.what.sites outputs the east, north coordinate values and descriptions with site(s) nearest to the user-specified location(s) on user-named site list.

The program will query the contents of site list named by the user on the command line. These site lists must exist in the user's current mapset search path.

The program activates the mouse, and expects the user to indicate the site location(s) to be queried by depressing a mouse button over desired location(s) within the current geographic region in the active display frame on the graphic monitor.

### Flag:

-1
  Identify and query just one point location. Only one mouse click is executed. This option is provided for shell scripts and programs that want to obtain only one point from the user.
-t
  Provide only terse output. This option is provided to simplify the parsing of output by other programs.
-q
  Load quietly. Do not show progress in loading the sites file into memory.

### Parameters:

sitefile=name
  Name of existing site list.
dcolor=name
  Sets the display color to name. Options: red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, white, and black Default: red
recolor=name
  Sets the redraw color to name. Options: red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, white, and black Default: yellow
size=value
  Size, in pixels, in which the site icons are to be drawn.
  Options: 0-1000
  Default: 5
type=name
  The type of icon to be displayed at site locations.
  Options: x, diamond, box, +
  Default: x

## EXAMPLE

It is helpful, but not necessary, to first display a site list to be used for reference in the active display frame before running d.what.sites. For example, the user might type the following series of commands and receive the output below.

  d.sites sitefile=wells

To first display the well site list in the active frame.

  d.what.sites sitefile=wells

User then moves the mouse to desired location on the displayed well site list, and presses the left mouse button to query the category contents of the nearest well location. The program then outputs the below information to the user's terminal.

    the closest site is: -613988.990000 east, 804343.040000 north
    08376300 1968 1980 13

The query may be repeated as often as desired using the left mouse button. The right button on the mouse is used to quit the d.what.sites session. The middle button will allow to redraw the site list.

## NOTES

d.what.sites will always print its output to the terminal screen. d.what.sites output can be redirected into a file; however, if it is, the output will go both to the screen and to the file. For example:

  d.what.sites sitefile=wells > what.out

will both send d.what.sites output to the screen and capture its output in the file named what.out.

## SEE ALSO

d.sites
d.what.rast
d.what.vect
d.where
g.region
parser

## AUTHOR

Raghavan Srinivasan, Blackland Research Center, TAES, Temple, TX 76502

Last changed: $Date: 2002/01/25 05:45:33 $